/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v7.0.29,
* Autoprefixer: v9.7.6
* Browsers: last 4 version
*/
div.wrapper {
  width: 100%;
  height: 100%;
  direction: rtl;
  background: #FFFFFF;
}

/* Header Page */

.wrapper .top_navbar {
  width: 100%;
  height: 10px;
  background-color: var(--Basic);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  position: fixed;
  top: 0;
}
/* SideBar Page */
.wrapper .sidebar_menu {
  position: fixed;
  top: 10px;
  right: 0;
  background: var(--Basic);
  width: 250px;
  height: 100%;
  -webkit-transition: all 0.4s linear;
  -o-transition: all 0.4s linear;
  transition: all 0.4s linear;
}

.wrapper .sidebar_menu .inner__sidebar_menu {
  position: relative;
  padding-top: 60px;
}
.wrapper .sidebar_menu .inner__sidebar_menu .sidebar_menu__list {
  overflow-y: auto;
  overflow-x: hidden;
  height: calc(100vh - 100.5px);
}
.wrapper .sidebar_menu .inner__sidebar_menu .sidebar_menu__list .title{
  padding-top: 25px;
  padding-bottom: 25px;
  color: var(--White);
  text-align: center;
  letter-spacing: 2px;
  white-space: nowrap;
  overflow: hidden;
}
.wrapper .sidebar_menu .inner__sidebar_menu .sidebar_menu__list .title span:nth-child(1){
  font-size: 30px;
  color: var(--Text);
}
.wrapper .sidebar_menu .inner__sidebar_menu .sidebar_menu__list .title span:nth-child(2){
  display: inline;
}
.wrapper.active .sidebar_menu .inner__sidebar_menu .sidebar_menu__list .title span:nth-child(2){
  display: none;
}
.wrapper .sidebar_menu ul li a {
  color: var(--White);
  font-size: 15px;
  padding: 20px 35px;
  display: block;
  white-space: nowrap;
}

.wrapper .sidebar_menu ul li a span {
  display: inline-block;
}

.wrapper .sidebar_menu ul li a .icon {
  /* margin-right: 8px; */
  font-size: 16px;
  margin-left: 12px;
}

.wrapper .sidebar_menu ul li a:hover {
  background: var(--HoverText);
  color: var(--Basic);
}

.wrapper .sidebar_menu ul li a.active,
.wrapper .sidebar_menu .inner__sidebar_submenu ul li a.active {
  background: var(--Text);
  color: var(--Basic);
  border-right: 4px solid var(--Second);
}
/* .wrapper .sidebar_menu .inner__sidebar_submenu ul li a.active {
  background: var(--blue-color-medium);
  color: #fff;
  border-right: 3px solid #fff;
} */
.wrapper .sidebar_menu .inner__sidebar_submenu ul {
  /* visibility: hidden;
  opacity: 0; */
  /* background-color: var(--blue-color-submenu); */
  /* overflow: hidden; */

  max-height: 0;
  -webkit-transition: max-height 0.7s ease-out;
  -o-transition: max-height 0.7s ease-out;
  transition: max-height 0.7s ease-out;
  overflow: hidden;
  -webkit-transition: all 0.7s ease-out;
  -o-transition: all 0.7s ease-out;
  transition: all 0.7s ease-out;
  /* -webkit-transition: all 0.5s cubic-bezier(0.4, 0, 1, 1);
  transition: all 0.5s cubic-bezier(0.4, 0, 1, 1); */
  /* -webkit-transition: all 1s ease-out;
  transition: all 1s ease-out; */
  /* -webkit-transition: opacity 400ms,visibility 400ms;
  transition: opacity 400ms,visibility 400ms; */
}

.wrapper .sidebar_menu .inner__sidebar_submenu.active ul {
  /* visibility: visible;
  opacity: 1;
  display: block; */
  max-height: 800px;
  /* transition: max-height .5s ease-in; */
  /* -webkit-transition: all 1s ease-out;
  transition: all 1s ease-out; */
  /* -webkit-transition: all 0.5s cubic-bezier(0.4, 0, 1, 1);
  transition: all 0.5s cubic-bezier(0.4, 0, 1, 1); */
}
.wrapper .sidebar_menu .inner__sidebar_submenu li a,
.wrapper .sidebar_menu .inner__sidebar_submenu.active li a {
  background: var(--BasicHover);
  color: var(--Text);
  font-size: 14px;
  padding: 20px 70px;
  display: block;
  white-space: nowrap;
}
.wrapper .sidebar_menu .inner__sidebar_submenu.active li span {
  display: inline-block;
}
.wrapper .sidebar_menu .inner__sidebar_submenu.active li a:hover {
  background: var(--HoverText);
  color: var(--Basic);
}
/* Button toggle */

.wrapper .sidebar_menu .hamburger {
  position: absolute;
  top: 5px;
  /* right: -25px; */
  left: -25px;
  width: 50px;
  height: 50px;
  background: #fff;
  border-radius: 50%;
  cursor: pointer;
}

.wrapper .sidebar_menu .hamburger .inner_hamburger,
.wrapper .sidebar_menu .hamburger .inner_hamburger .arrow {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.wrapper .sidebar_menu .hamburger .inner_hamburger {
  width: 40px;
  border-radius: 50%;
  height: 40px;
  background: var(--Basic);
}
.wrapper .sidebar_menu .hamburger .inner_hamburger:hover {
  background: var(--BasicHover);
}

.wrapper .sidebar_menu .hamburger .inner_hamburger .arrow {
  color: var(--Text);
  font-size: 20px;
}

.wrapper .sidebar_menu .hamburger .fa-long-arrow-left {
  display: none;
}
/* Container */

.wrapper .container {
  width: calc(100% - 250px);
  height: calc(100vh - 33px);
  /* margin-left: 250px; */
  margin-right: 250px;
  margin-top: 10px;
  overflow-x: hidden;
  /* padding: 25px 40px; */
  padding: 20px 30px 5px 10px;
  -webkit-transition: all 0.4s linear;
  -o-transition: all 0.4s linear;
  transition: all 0.4s linear;
}

.wrapper .container .item_wrap {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin-bottom: 20px;
}

.wrapper .container .item_wrap .item {
  background: #e8edf5;
  border: 1px solid #e0e0e0;
  padding: 25px;
  font-size: 12px;
  line-height: 22px;
}

.wrapper .container .item_wrap .item:first-child {
  /* margin-right: 20px; */
  margin-left: 20px;
}

/* Sidebar Toggle  */

.wrapper.active .sidebar_menu {
  width: 100px;
}

.wrapper.active .hamburger .fa-long-arrow-right {
  /* display: block !important; */
  display: none;
}

.wrapper.active .hamburger .fa-long-arrow-left {
  /* display: none; */
  display: block !important;
}

.wrapper.active .sidebar_menu ul li a .list {
  display: none;
}

.wrapper.active .container {
  width: calc(100% - 100px);
  /* margin-left: 100px; */
  margin-right: 100px;
}

/* Footer */
.wrapper .bottom_footer {
  width: calc(100% - 250px);
  height: 25px;
  position: fixed;
  background: var(--Basic);
  padding: 0 10px;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  right: 250px;
  bottom: 0;
  border-top: 1px solid #e0e0e0;
  -webkit-transition: all 0.4s linear;
  -o-transition: all 0.4s linear;
  transition: all 0.4s linear;
}
.wrapper .bottom_footer .bottom_menu {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  height: 100%;
  padding: 2px 10px;
}
.wrapper .bottom_footer .bottom_menu .home_link div {
  display: block;
  color: var(--White);
  padding: 1px 15px;
  font-size: 12px;
}
.wrapper .bottom_footer .bottom_menu .home_link .icon {
  margin-left: 8px;
}
.wrapper.active .bottom_footer {
  width: calc(100% - 100px);
  margin-right: -150px;
}
.wrapper
  .sidebar_menu
  .inner__sidebar_menu
  .sidebar_menu__list::-webkit-scrollbar {
  width: 5px;
  background: var(--White);
  /* border-radius: 2px; */
}
.wrapper
  .sidebar_menu
  .inner__sidebar_menu
  .sidebar_menu__list::-webkit-scrollbar-thumb {
  background: var(--Second);
  /* border-radius: 2px; */
}
.wrapper .sidebar_menu .inner__sidebar_menu .sidebar_menu__list {
  scrollbar-width: thin;
  scrollbar-color: var(--Second) var(--White);
}
